> ## Documentation Index
> Fetch the complete documentation index at: https://docs.baseten.co/llms.txt
> Use this file to discover all available pages before exploring further.

# List library listings

> Returns all library listings for the authenticated user's organization.



## OpenAPI

````yaml get /v1/library_listings
openapi: 3.1.0
info:
  description: REST API for management of Baseten resources
  title: Baseten management API
  version: 1.0.0
servers:
  - url: https://api.baseten.co
security:
  - BearerAuth: []
paths:
  /v1/library_listings:
    get:
      summary: Gets all library listings
      description: Returns all library listings for the authenticated user's organization.
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/LibraryListingsV1'
      x-codeSamples:
        - lang: bash
          source: |
            curl --request GET \
            --url https://api.baseten.co/v1/library_listings \
            --header "Authorization: Bearer $BASETEN_API_KEY"
        - lang: python
          source: |-
            import requests
            import os
            API_KEY = os.environ.get("BASETEN_API_KEY", "<YOUR_API_KEY>")
            url = "https://api.baseten.co/v1/library_listings"

            headers = {"Authorization": f"Bearer {API_KEY}"}

            response = requests.request(
                "GET",
                url,
                headers=headers
            )

            print(response.text)
components:
  schemas:
    LibraryListingsV1:
      description: A list of library listings.
      properties:
        listings:
          items:
            $ref: '#/components/schemas/LibraryListingV1'
          title: Listings
          type: array
      required:
        - listings
      title: LibraryListingsV1
      type: object
    LibraryListingV1:
      description: A library listing.
      properties:
        display_name:
          description: Display name of the library listing
          title: Display Name
          type: string
        user_defined_id:
          description: User-defined identifier of the library listing
          title: User Defined Id
          type: string
        is_public:
          description: Whether the listing is publicly accessible
          title: Is Public
          type: boolean
        closed_source:
          description: >-
            Whether the listing is closed source (deployers cannot view or
            download the Truss, and forks copy mirrored weights instead of
            re-mirroring from upstream)
          title: Closed Source
          type: boolean
        created_at:
          description: Time the listing was created in ISO 8601 format
          format: date-time
          title: Created At
          type: string
        modified_at:
          description: Time the listing was last modified
          format: date-time
          title: Modified At
          type: string
      required:
        - display_name
        - user_defined_id
        - is_public
        - closed_source
        - created_at
        - modified_at
      title: LibraryListingV1
      type: object
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: >-
        Send `Authorization: Bearer <api_key>`. The legacy `Authorization:
        Api-Key <api_key>` scheme is also accepted.

````